CVE-2005-3345
CVSS7.2
发布时间 :2005-12-28 17:03:00
修订时间 :2008-09-05 16:54:07
NMCOS    

[原文]rssh 2.0.0 through 2.2.3 allows local users to bypass access restrictions and gain root privileges by using the rssh_chroot_helper command to chroot to an external directory.


[CNNVD]RSSH RSSH_CHROOT_HELPER本地提权漏洞(CNNVD-200512-587)

        rssh 2.0.0至2.2.3版本使得本地用户可以通过使用rssh_chroot_helper命令来chroot到外部目录,从而绕过访问限制并获取超级用户的权限。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:rssh:rssh:2.0
cpe:/a:rssh:rssh:2.2
cpe:/a:rssh:rssh:2.2.2
cpe:/a:rssh:rssh:2.1
cpe:/a:rssh:rssh:2.2.1
cpe:/a:rssh:rssh:2.2.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3345
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3345
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-587
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16050
(PATCH)  BID  16050
http://www.gentoo.org/security/en/glsa/glsa-200512-15.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200512-15
http://secunia.com/advisories/18237
(VENDOR_ADVISORY)  SECUNIA  18237
http://secunia.com/advisories/18224
(VENDOR_ADVISORY)  SECUNIA  18224
http://www.pizzashack.org/rssh/security.shtml
(UNKNOWN)  CONFIRM  http://www.pizzashack.org/rssh/security.shtml
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=344424
(UNKNOWN)  CONFIRM  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=344424
http://xforce.iss.net/xforce/xfdb/23854
(UNKNOWN)  XF  rssh-chroot-gain-privileges(23854)
http://securityreason.com/securityalert/308
(UNKNOWN)  SREASON  308

- 漏洞信息

RSSH RSSH_CHROOT_HELPER本地提权漏洞
高危 设计错误
2005-12-28 00:00:00 2006-06-06 00:00:00
本地  
        rssh 2.0.0至2.2.3版本使得本地用户可以通过使用rssh_chroot_helper命令来chroot到外部目录,从而绕过访问限制并获取超级用户的权限。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://prdownloads.sourceforge.net/rssh/rssh-2.3.1.tar.gz?download

- 漏洞信息

21942
rssh rssh_chroot_helper Arbitrary Directory chroot Privilege Escalation
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-12-18 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.3.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

RSSH RSSH_CHROOT_HELPER Local Privilege Escalation Vulnerability
Design Error 16050
No Yes
2005-12-23 12:00:00 2005-12-23 12:00:00
Discovered by Max Vozeler.

- 受影响的程序版本

rssh rssh 2.2.3
+ Gentoo Linux
rssh rssh 2.2.2
rssh rssh 2.2.1
rssh rssh 2.2
rssh rssh 2.1
rssh rssh 2.0
rssh rssh 2.3.1
rssh rssh 2.3

- 不受影响的程序版本

rssh rssh 2.3.1
rssh rssh 2.3

- 漏洞讨论

rssh is prone to a local privilege escalation vulnerability.

Local attackers can gain superuser privileges due to having the ability to chroot to arbitrary locations as the application facilitates subverting the chroot location.

rssh versions 2.0.0 to 2.2.3 are vulnerable to this issue.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Gentoo has released an advisory to address this issue. Gentoo users may apply upgrades by running the following commands as the superuser:

emerge --sync
emerge --ask --oneshot --verbose ">=app-shells/rssh-2.3.0"

The vendor has released rssh 2.3.0 to address this issue.

The vendor has advised users to upgrade to rssh 2.3.1 due to a bug in rssh 2.3.0.


rssh rssh 2.0

rssh rssh 2.1

rssh rssh 2.2

rssh rssh 2.2.1

rssh rssh 2.2.2

rssh rssh 2.2.3

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站